Bug 184284 - Software RAID5 error
Software RAID5 error
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-07 15:35 EST by Chris Elsmore
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 11:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.log and syslog from failed install (10.81 KB, application/x-zip)
2006-03-07 15:35 EST, Chris Elsmore
no flags Details

  None (edit)
Description Chris Elsmore 2006-03-07 15:35:07 EST
Description of problem:

When using 3 SATA harddisks on a Chaintech ZNF3-250, and creating a RAID5
software array, the FC5T3 install encounters a error, with the message: "The
system has encountered a serious error and install cannot continue. It is
nessasary to restart your computer."

Version-Release number of selected component (if applicable):


How reproducible:

Easily, by following below steps.

Steps to Reproduce:
1. Run FC5T3 install.
2. Setup a Software RAID5 with 3 disks.
3. Install falls over when it starts installing.
Actual results:

Install encounters error, and cannot continue.

Expected results:

Install to create software RAID5 array, and carry out installation.

Additional info:

Ananconda.log and syslog are included.
Comment 1 Chris Elsmore 2006-03-07 15:35:07 EST
Created attachment 125775 [details]
anaconda.log and syslog from failed install
Comment 2 Jeremy Katz 2006-03-07 17:25:08 EST
It looks like the kernel threw out the device as not being sane for creating a
RAID and mdadm didn't error.

Is this reproducible for you?
Comment 3 Chris Jones 2006-03-07 19:13:46 EST
Comment 4 Sitsofe Wheeler 2006-03-08 03:16:08 EST
The problem happens every time the RAID5 is newly configured during the Fedora
install. In order to work around the problem it is possible to use an Ubuntu
installation CD to configure the RAID5 setup and create the md device. You can
then reboot to the Fedora install and so long as you do not change the RAID
device (formatting is OK) anaconda does not error.
Comment 5 Chris Elsmore 2006-03-08 08:48:24 EST
Yes, the bug is reproducible.
Comment 6 Chris Lumens 2006-03-09 11:31:47 EST
This should be fixed in rawhide today by a new mdadm package.
Comment 7 Chris Jones 2006-03-21 10:58:35 EST
This apears to have been fixed in the final FC5 installer

Note You need to log in before you can comment on or make changes to this bug.